import os

class Config:
    SECRET_KEY = os.getenv('SECRET_KEY', 'dev')

    DB_USER = os.getenv('MYSQL_USER', 'plant_user')
    DB_PASSWORD = os.getenv('MYSQL_PASSWORD', 'plant_pass')
    DB_HOST = os.getenv('MYSQL_HOST', 'db')
    DB_PORT = os.getenv('MYSQL_PORT', '3306')
    DB_NAME = os.getenv('MYSQL_DATABASE', 'plant_db')

    SQLALCHEMY_DATABASE_URI = os.getenv(
        'DATABASE_URL',
        f'mysql://{DB_USER}:{DB_PASSWORD}@{DB_HOST}:{DB_PORT}/{DB_NAME}'
    )

    SQLALCHEMY_TRACK_MODIFICATIONS = False
